Package org.apache.wiki.auth.login

# Class WikiEngineCallback

java.lang.Object
org.apache.wiki.auth.login.WikiEngineCallback

All Implemented Interfaces:
  `Callback`

public class WikiEngineCallback extends Object implements Callback
Callback for requesting and supplying the WikiEngine object required by a LoginModule. This Callback is used by LoginModules needing access to the external authorizer or group manager.

Since:
  2.5

## Constructor Summary

Constructors
Constructor
Description
`WikiEngineCallback()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.wiki.api.core.Engine`
`getEngine()`
Returns the engine.
`void`
`setEngine(org.apache.wiki.api.core.Engine engine)`
Sets the engine object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WikiEngineCallback

public WikiEngineCallback()

## Method Details

### setEngine

public void setEngine(org.apache.wiki.api.core.Engine engine)
Sets the engine object. CallbackHandler objects call this method.

Parameters:
  `engine` - the engine

### getEngine

public org.apache.wiki.api.core.Engine getEngine()
Returns the engine. LoginModules call this method after a CallbackHandler sets the engine.

Returns:
  the engine